summaryrefslogtreecommitdiff
path: root/bin/taler-deployment-keyup
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2017-06-06 10:18:50 +0200
committerMarcello Stanisci <marcello.stanisci@inria.fr>2017-06-06 10:18:50 +0200
commit68d26724dbd0a25cd3ee8d4dc300a17514637c59 (patch)
tree02fd5b743767c59da3d40246c2297c4bdf25964b /bin/taler-deployment-keyup
parentd547ce901a73e51f51274970dee8f76b76cc67bc (diff)
downloaddeployment-68d26724dbd0a25cd3ee8d4dc300a17514637c59.tar.gz
deployment-68d26724dbd0a25cd3ee8d4dc300a17514637c59.tar.bz2
deployment-68d26724dbd0a25cd3ee8d4dc300a17514637c59.zip
polishing auditor signing script + fix auditor url
Diffstat (limited to 'bin/taler-deployment-keyup')
-rwxr-xr-xbin/taler-deployment-keyup17
1 files changed, 12 insertions, 5 deletions
diff --git a/bin/taler-deployment-keyup b/bin/taler-deployment-keyup
index 4eb2b89..3b2f8d3 100755
--- a/bin/taler-deployment-keyup
+++ b/bin/taler-deployment-keyup
@@ -2,18 +2,25 @@
set -eu
+if test -z $TALER_CONFIG_ENV; then
+ echo Please run 'source ~/activate' beforehand.
+ exit 1
+fi
+
auditor_request_dir=${HOME}/shared-data/exchange/auditor-request/
mkdir -p $auditor_request_dir
taler-exchange-keyup \
-m ${HOME}/shared-data/exchange/offline-keys/master.priv \
-o $auditor_request_dir/auditor_request
-auditor_base_dir=$(taler-config -s exchangedb -o auditor_base_dir -f)
-exchange_master_pub=$(taler-config -s exchange -o master_public_key)
-auditor_sig_output_file=$(date "+%s%N")
-taler-auditor-sign -u https://auditor.taler.net/ -m $exchange_master_pub -r $auditor_request_dir/auditor_request -o "$auditor_base_dir/$auditor_sig_output_file"
+taler-auditor-sign \
+ -u $TALER_ENV_URL_AUDITOR \
+ -m $(taler-config -s exchange -o master_public_key) \
+ -r "$auditor_request_dir/auditor_request" \
+ -o "$(taler-config -s exchangedb -o auditor_base_dir -f)/$(date +%s%N)"
+
if [[ 0 != $? ]]; then
echo Auditor signing not accomplished.
fi
-chmod -fR g+rw ~/shared-data
+chmod -fR g+rw ${HOME}/shared-data